Loading...
Searching...
No Matches
juce::midi_ci::ChannelAddress Class Reference

## Detailed Description

Identifies a channel or set of channels in a multi-group MIDI endpoint.

The documentation for this class was generated from the following file:

- juce_midi_ci/ci/juce_CIChannelAddress.h

## Public Member Functions

ChannelAddress | withGroup (int g) const
| Returns a copy of this object with the specified group.
ChannelAddress | withChannel (ChannelInGroup c) const
| Returns a copy of this object with the specified channel.
uint8_t | getGroup () const
| Returns the group.
ChannelInGroup | getChannel () const
| Returns the channel in the group.
bool | isBlock () const
| Returns true if this address refers to all channels in the function block containing the specified group.
bool | isGroup () const
| Returns true if this address refers to all channels in the specified group.
bool | isSingleChannel () const
| Returns true if this address refers to a single channel.
bool | operator< (const ChannelAddress &other) const
bool | operator<= (const ChannelAddress &other) const
bool | operator> (const ChannelAddress &other) const
bool | operator>= (const ChannelAddress &other) const
bool | operator== (const ChannelAddress &other) const
bool | operator!= (const ChannelAddress &other) const

## Member Functions

## withGroup()

ChannelAddress juce::midi_ci::ChannelAddress::withGroup | ( | int | g | ) | const

inline nodiscard

Returns a copy of this object with the specified group.

References juce::isPositiveAndBelow(), jassert, and juce::withMember().

## withChannel()

ChannelAddress juce::midi_ci::ChannelAddress::withChannel | ( | ChannelInGroup | c | ) | const

inline nodiscard

Returns a copy of this object with the specified channel.

References juce::withMember().

## getGroup()

uint8_t juce::midi_ci::ChannelAddress::getGroup | ( |  | ) | const

inline nodiscard

Returns the group.

## getChannel()

ChannelInGroup juce::midi_ci::ChannelAddress::getChannel | ( |  | ) | const

inline nodiscard

Returns the channel in the group.

## isBlock()

bool juce::midi_ci::ChannelAddress::isBlock | ( |  | ) | const

inline

Returns true if this address refers to all channels in the function block containing the specified group.

References juce::midi_ci::wholeBlock.

Referenced by isSingleChannel().

## isGroup()

bool juce::midi_ci::ChannelAddress::isGroup | ( |  | ) | const

inline

Returns true if this address refers to all channels in the specified group.

References juce::midi_ci::wholeGroup.

Referenced by isSingleChannel().

## isSingleChannel()

bool juce::midi_ci::ChannelAddress::isSingleChannel | ( |  | ) | const

inline

Returns true if this address refers to a single channel.

References isBlock(), and isGroup().

## operator<()

bool juce::midi_ci::ChannelAddress::operator< | ( | const ChannelAddress & | other | ) | const

inline

## operator<=()

bool juce::midi_ci::ChannelAddress::operator<= | ( | const ChannelAddress & | other | ) | const

inline

## operator>()

bool juce::midi_ci::ChannelAddress::operator> | ( | const ChannelAddress & | other | ) | const

inline

## operator>=()

bool juce::midi_ci::ChannelAddress::operator>= | ( | const ChannelAddress & | other | ) | const

inline

## operator==()

bool juce::midi_ci::ChannelAddress::operator== | ( | const ChannelAddress & | other | ) | const

inline

Referenced by operator!=().

## operator!=()

bool juce::midi_ci::ChannelAddress::operator!= | ( | const ChannelAddress & | other | ) | const

inline

References operator==().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited